#include <SPI.h>
#include "LCD_Driver.h"
#include "GUI_Paint.h"
#include "Touch_CST328.h"

struct {
  uint16_t x; /*!< X coordinate */
  uint16_t y; /*!< Y coordinate */
  uint8_t  points; /*!< Y coordinate */
}Touch_Data_Old;
uint8_t Start_Flag =0;
void setup()
{
  Config_Init();
  Touch_Init();
  LCD_Init();


  LCD_Clear(WHITE);
  LCD_SetBacklight(1000);
  Paint_NewImage(LCD_WIDTH, LCD_HEIGHT, 0, WHITE);
  Paint_SetRotate(0);
  
  Paint_Clear(BLUE);
  Paint_Clear(GREEN);
  Paint_Clear(RED);
  Paint_Clear(GRAY);
	Paint_DrawString_EN(30, 10, "123",        &Font24,  YELLOW, RED);  
	Paint_DrawString_EN(30, 34, "ABC",        &Font24,  BLUE,   CYAN);
	Paint_DrawFloatNum (30, 58 ,987.654321,6, &Font20,  WHITE,  BLACK);
	Paint_DrawString_CN(50,239, "微雪电子",   &Font24CN,WHITE,  RED);

	Paint_DrawRectangle(125, 10, 225, 58, RED     ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
	Paint_DrawLine  (125, 10, 225, 58,    MAGENTA ,DOT_PIXEL_2X2,LINE_STYLE_SOLID);
	Paint_DrawLine  (225, 10, 125, 58,    MAGENTA ,DOT_PIXEL_2X2,LINE_STYLE_SOLID);
	Paint_DrawCircle(150,150,  25,        BLUE    ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
	Paint_DrawCircle(180,150,  25,        BLACK   ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
	Paint_DrawCircle(210,150,  25,        RED     ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
	Paint_DrawCircle(165,175,  25,        YELLOW  ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
	Paint_DrawCircle(195,175,  25,        GREEN   ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
  
  Paint_Clear(BLUE);
}


void loop()
{
  Touch_Loop();  
  if(Touch.state  == LV_INDEV_STATE_PR)
  {
    if(Touch.points > 1){
      for (size_t i = 0; i < Touch.points; i++) {
        Paint_DrawCircle(Touch.coords[i].x, Touch.coords[i].y,10, YELLOW, DOT_PIXEL_2X2,DRAW_FILL_EMPTY );
      }
      Touch_Data_Old.points = Touch.points;
    }
    else{
      if(Touch_Data_Old.points > 1)
        Paint_Clear(BLUE);
      if(Start_Flag == 0){
        Start_Flag = 1;
        Touch_Data_Old.x = Touch.coords[0].x;
        Touch_Data_Old.y = Touch.coords[0].y;
      }else{
        Paint_DrawLine  (Touch_Data_Old.x, Touch_Data_Old.y, Touch.coords[0].x, Touch.coords[0].y, MAGENTA ,DOT_PIXEL_2X2,LINE_STYLE_SOLID);
        Touch_Data_Old.x = Touch.coords[0].x;
        Touch_Data_Old.y = Touch.coords[0].y;
      }
      Touch_Data_Old.points = Touch.points;
    }
  }

}


/*********************************************************************************************************
  END FILE
*********************************************************************************************************/
